Bug 171112 - Kernel oops killing process with open files on a NFS3 krb5 mount after /var/lib/nfs/rpc_pipefs has been unmounted
Summary: Kernel oops killing process with open files on a NFS3 krb5 mount after /var/l...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Steve Dickson
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2005-10-18 11:59 UTC by Jindrich Novy
Modified: 2013-07-02 23:10 UTC (History)
5 users (show)

Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 20:29:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed RHEL4 patch (553 bytes, patch)
2005-11-08 19:10 UTC, Steve Dickson
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:808 normal SHIPPED_LIVE Important: kernel security update 2005-10-27 04:00:00 UTC
Red Hat Product Errata RHSA-2006:0132 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 3 2006-03-09 16:31:00 UTC

Description Jindrich Novy 2005-10-18 11:59:31 UTC
+++ This bug was initially created as a clone of Bug #160749 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513
Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
This bug occasionally triggers when a machine is shutdown but it is 100%
reproducible. It has existed since Fedora Core 2.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
Login as a normal user whose home directory is on a NFS3 krb5 mount.

As root, run:

/sbin/service netfs stop
/sbin/service rpcidmapd stop
/sbin/service rpcgssd stop
umount /var/lib/nfs/rpc_pipefs
kill -9 $(pgrep -u <NORMAL USER>)

Actual Results:  A kernel oops.

Additional info:

-- Additional comment from mgoodman@csua.berkeley.edu on 2005-06-16 22:34 EST --
Created an attachment (id=115590)
Serial console output


-- Additional comment from mgoodman@csua.berkeley.edu on 2005-06-16 22:37 EST --
Created an attachment (id=115591)
Kernel patch to stop the oops

This may not be the right fix.

-- Additional comment from davej@redhat.com on 2005-07-15 17:54 EST --
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.


-- Additional comment from mgoodman@csua.berkeley.edu on 2005-07-15 21:18 EST --
Same behavior with 2.6.12-1.1398_FC4. I will attach a new oops.

-- Additional comment from mgoodman@csua.berkeley.edu on 2005-07-15 21:19 EST --
Created an attachment (id=116830)
kernel 2.6.12-1.1398_FC4 oops


-- Additional comment from davej@redhat.com on 2005-09-30 02:41 EST --
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.


-- Additional comment from mgoodman@csua.berkeley.edu on 2005-09-30 16:06 EST --
It still oopses with 2.6.13-1.1526_FC4.

Comment 1 Jindrich Novy 2005-10-18 12:02:40 UTC
Created as a clone of bug 160749, because RHEL4 is affected as well.

Comment 3 Steve Dickson 2005-11-08 19:02:30 UTC
*** Bug 169149 has been marked as a duplicate of this bug. ***

Comment 4 Steve Dickson 2005-11-08 19:10:36 UTC
Created attachment 120820 [details]
Proposed RHEL4 patch

Comment 5 Steve Dickson 2005-11-11 14:23:48 UTC
*** Bug 169197 has been marked as a duplicate of this bug. ***

Comment 10 Red Hat Bugzilla 2006-03-07 20:29:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html



Note You need to log in before you can comment on or make changes to this bug.